<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>ProductServiceImpl.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">vendingmachine</a> &gt; <a href="index.source.html" class="el_package">com.example.vendingmachine.service</a> &gt; <span class="el_source">ProductServiceImpl.java</span></div><h1>ProductServiceImpl.java</h1><pre class="source lang-java linenums">package com.example.vendingmachine.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.vendingmachine.entity.Product;
import com.example.vendingmachine.repository.ProductRepository;

@Service
<span class="fc" id="L9">public class ProductServiceImpl implements ProductService {</span>
    @Autowired
    private ProductRepository productRepository;

    @Override
    public ServiceStatus addProduct(Product product) {
<span class="fc" id="L15">        long count = productRepository.count();</span>
<span class="fc bfc" id="L16" title="All 2 branches covered.">        if (count &lt; 10) {</span>
<span class="fc bfc" id="L17" title="All 2 branches covered.">            if (productRepository.findById(product.getId()).isEmpty()) {</span>
<span class="fc" id="L18">                productRepository.save(product);</span>
<span class="fc" id="L19">                return ServiceStatus.SUCCESSFUL;</span>
            } else {
<span class="fc" id="L21">                return ServiceStatus.ENTITY_ALREADY_EXIST;</span>
            }
        } else {
<span class="fc" id="L24">            return ServiceStatus.ENTITY_COLLECTION_MAX_SIZE_LIMIT;</span>
        }
    }

    @Override
    public ServiceStatus updateProduct(Product product) {
<span class="fc bfc" id="L30" title="All 2 branches covered.">        if (productRepository.findById(product.getId()).isEmpty()) {</span>
<span class="fc" id="L31">            long count = productRepository.count();</span>
<span class="fc bfc" id="L32" title="All 2 branches covered.">            if (count &lt; 10) {</span>
<span class="fc" id="L33">                productRepository.save(product);</span>
<span class="fc" id="L34">                return ServiceStatus.SUCCESSFUL;</span>
            } else {
<span class="fc" id="L36">                return ServiceStatus.ENTITY_COLLECTION_MAX_SIZE_LIMIT;</span>
            }
        } else {
<span class="fc" id="L39">            productRepository.save(product);</span>
<span class="fc" id="L40">            return ServiceStatus.SUCCESSFUL;</span>
        }
    }

    @Override
    public ServiceStatus deleteProductById(long id) {
<span class="fc bfc" id="L46" title="All 2 branches covered.">        if (productRepository.findById(id).isPresent()) {</span>
<span class="fc" id="L47">            productRepository.deleteById(id);</span>
<span class="fc" id="L48">            return ServiceStatus.SUCCESSFUL;</span>
        } else {
<span class="fc" id="L50">            return ServiceStatus.ENTITY_NOT_FOUND;</span>
        }
    }

    @Override
    public long count() {
<span class="fc" id="L56">        return productRepository.count();</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span></div></body></html>